Package com.pixelmed.display.event

# Class WindowingAccelerationValueChangeEvent

java.lang.Object
com.pixelmed.event.Event
com.pixelmed.display.event.WindowingAccelerationValueChangeEvent

public class WindowingAccelerationValueChangeEvent extends Event

## Constructor Summary

Constructors
Constructor
Description
`WindowingAccelerationValueChangeEvent(EventContext eventContext, double value)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getValue()`
`String`
`toString()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WindowingAccelerationValueChangeEvent

public WindowingAccelerationValueChangeEvent(EventContext eventContext, double value)

Parameters:
  `eventContext` -
  `value` -

## Method Details

### getValue

public double getValue()

Returns:
  the value selected

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  description of the event